"use client";

import { useSearchParams } from "next/navigation";
import WhiteboardCore from "@/components/Whiteboard/WhiteboardCore";

const DashboardWhiteboardPage = () => {
    const searchParams = useSearchParams();
    const lessonIdParam = searchParams.get("lessonId");
    const lessonId = lessonIdParam ? parseInt(lessonIdParam) : null;

    return <WhiteboardCore lessonId={lessonId} isFullscreen={false} />;
};

export default DashboardWhiteboardPage;
